summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbtd13372018-11-19 00:37:28 -0200
committerbtd13372018-11-19 00:37:28 -0200
commit132b6ba0a17fcbecd8612e115a79b518e2d9202f (patch)
tree9011da59877ae6abedcce47b5a3078191a99259d
downloadaur-132b6ba0a17fcbecd8612e115a79b518e2d9202f.tar.gz
initial release
-rw-r--r--.SRCINFO22
-rw-r--r--.gitignore1
-rw-r--r--PKGBUILD39
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8ce7007fe03
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = mindi-converter-git
+ pkgdesc = Simple Video to audio Converter. Designed for Pantheon Shell
+ pkgver = latest
+ pkgrel = 1
+ url = https://github.com/torikulhabib/mindi
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ makedepends = meson
+ makedepends = ninja
+ makedepends = vala
+ depends = gtk3
+ depends = granite
+ depends = glib2
+ provides = mindi-converter
+ conflicts = mindi-converter
+ source = git+https://github.com/torikulhabib/mindi.git
+ md5sums = SKIP
+
+pkgname = mindi-converter-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..b25c15b81fa
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+*~
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..107c9c3216e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=mindi
+_author=torikulhabib
+pkgname=("${_gitname}-converter-git")
+pkgver=latest
+pkgrel=1
+pkgdesc="Simple Video to audio Converter. Designed for Pantheon Shell"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'glib2')
+optdepends=('')
+makedepends=('git' 'meson' 'ninja' 'vala')
+provides=("${_gitname}-converter")
+conflicts=("${_gitname}-converter")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${_gitname}/"
+ meson . _build --prefix=/usr
+ ninja -C _build
+}
+
+package() {
+ cd "${_gitname}/"
+ DESTDIR="${pkgdir}" ninja -C _build install
+}
+